Bienvenue dans RegAlyzer

RegAlyzer
Gratuiciel (Freeware), ©'2000-2005 Patrick Michael Kolla

RegAlyzer est un utilitaire conçu pour parcourir et modifier le Registre. Il ajoute quelques fonctions qui nous manquaient dans le regedit original fourni par Microsoft. Ces fonctions sont:

  • Une fonction de recherche améliorée. RegAlyzer vous permet de parcourir les résultats de la recherche alors que cette dernière n'est pas encore terminée, et d'exporter les résultats de recherche dans un fichier reg. De plus, la recherche avec joker et la recherche booléenne peuvent être utilisées.
  • Gestion hiérarchique des signets. Avec RegAlyzer, vous pouvez organiser et trier vos signets en dossiers.
  • Sauts. En utilisant un paramètre de ligne de commande ou en collant l'adresse dans le champ d'adresse, vous pouvez aller directement jusqu'à une adresse précise.
  • Modification de DWord binaire. RegAlyzer affiche (et vous permet de modifier) les DWords en formats décimal, hexadécimal et binaire.
  • Gestion des QWords. Le regedit d'origine pouvait modifier ces valeurs en entiers 64-bit, mais ne pouvait pas en ajouter de nouvelles.
  • L'affichage des fichiers reg. RegAlyzer peut afficher le contenu de fichiers reg sous forme d'arborescence sans avoir besoin de les importer au préalable.
  • Une gestion limitée de l'Unicode sous Windows 9x. RegAlyzer peut lire des fichiers reg version 5 sous Windows 9x.
  • L'affichage de paramètres de sécurité de bas niveau. Les paramètres de sécurité pour les clés (Windows NT, 2000 et XP seulement) sont affichés dans une structure plus simple que le gestionnaire de droits de regedit.

Quelques fonctions manquent encore, mais elles seront ajoutées dans de prochaines versions.


Fenêtre principale

La fenêtre principale a été conçue de façon à être semblable à celle du regedit d'origine pour faciliter son utilisation, avec quelques ajouts:

  • Elle contient en plus une barre d'adresse que vous pouvez utiliser comme un historique (pour sélectionner des clés que vous avez affichées précédemment), et pour y saisir ou y copier une adresse vers laquelle vous voulez aller.
  • Un onglet Informations de sécurité qui affiche les droits d'accès pour la clé sélectionnée (Disponible seulement sur Windows NT, 2000 et XP).
  • Une autre nouveauté est la Base de données d'infos qui peut contenir des informations venant d'une base de données, créée par l'utilisateur ou pré-expédiée, sur la clé et/ou la valeur actuellement sélectionnée. Vous pouvez modifier ces informations en commençant à saisir un nouveau texte - Un bouton Enregistrer va apparaître.
    Une version future de RegAlyzer contiendra un navigateur de base de données vous permettant de parcourir la liste des informations disponibles.
  • Le menu Signets est une version améliorée du menu Favoris de regedit et il permet un affichage hiérarchique.
  • Le menu Langues vous permet de choisir une langue différente.

Raccourcis clavier

Il existe quelques raccourcis clavier, que vous pouvez utiliser pour aller plus vite. Dans l'arborescence des clés, vous pouvez naviguer comme dans n'importe quelle autre, plus:

  • Ins insère une nouvelle clé.
  • Del supprime la clé actuellement sélectionnée.
  • F2 vous permet de renommer une clé.
  • F5 rafraîchit l'affichage.
  • Ctrl+B ajoute la clé en cours dans les signets.

Des raccourcis similaires existent pour la liste des valeurs sur la droite:

  • Ins ouvre le menu en popup qui vous permet d'ajouter de nouvelles valeurs.
  • Del supprime la valeur actuellement sélectionnée.
  • Enter ouvre une boîte de dialogue pour modifier la donnée.
  • F2 vous permet de renommer une valeur.
  • F5 rafraîchit l'affichage.

En plus de ces raccourcis, il en existe quelques uns qui fonctionnent partout dans la fenêtre principale:

  • Ctrl+F ouvre la fenêtre de recherche.
  • Ctrl+J vous permet de saisir une adresse que vous voulez ouvrir.
  • Ctrl+M ouvre le gestionnaire de signets.
  • Ctrl+O vous permet d'ouvrir un fichier reg externe.


Signets

La gestion des signets est tout à fait simple à utiliser. Pour aller jusqu'à une clé enregistrée sous forme de signet, sélectionnez-la simplement dans le menu Signets.

Si vous voulez ajouter une clé précise dans vos signets, faites un clic droit dessus dans l'arborescence de la fenêtre principale qui affiche la structure du Registre, et choisissez Ajouter aux signets.... On vous demandera un nom pour le nouveau signet, qui sera alors ajouté.

Pour gérer vos signets, appuyez sur Ctrl+B ou choisissez Gérer les signets dans le menu Signets. Une nouvelle fenêtre va s'afficher, vous montrant la structure de vos signets. Là, vous pouvez déplacer vos signets d'un dossier à l'autre (faites-les simplement glisser sur le nouveau dossier puis déposez-les); et créer, renommer ou supprimer des dossiers et des signets. Si vous faites une erreur, utilisez simplement Annuler pour revenir en arrière à la situation dans laquelle vous étiez avant de commencer vos modifications.


Recherche

En appuyant sur Ctrl+F ou en choisissant Chercher... dans le menu Modifier, vous pouvez ouvrir une fenêtre de recherche. Cette dernière vous offre une large gamme d'options qui sont décrites ici.

Critères de recherche - l'onglet affiché lorsque vous ouvrez la boîte de dialogue de recherche. En premier, vous devez définir le style de recherche. Trois styles sont possibles:

  • Simple recherche de sous-chaîne - ceci cherche simplement si le texte saisi existe quelque part.
  • Recherche avec joker - les jokers sont les symboles * et ?; vous les connaissez peut-être déjà par des recherches dans des fichiers. ? représente exactement un caractère, qui peut être n'importe quoi. * représente un nombre quelconque de caractères.
    Exemple: "Nombre ?" trouvera n'importe quel texte dont les 7 premiers caractères sont "Nombre " et dont le 8ème caractère existe (mais peut avoir n'importe quelle valeur). "Nombre *" trouvera n'importe quel texte dont les 7 premiers caractères sont "Nombre ", suivis de rien ou d'un nombre quelconque de caractères.
  • Recherche booléenne - vous pouvez utiliser les mots-clés AND, OR et NOT pour créer une règle de recherche. Exemple: "Windows AND Temp" ne trouvera que les textes qui contiennent les deux mots ("Windows" et "Temp"), alors que "Windows OR Temp" trouvera tous les textes qui contiennent l'un des mots (ou les deux).

Ensuite vient le champ Rechercher dans lequel vous devez saisir le texte que vous voulez chercher. Les règles du style de recherche s'appliquent ici.

Dans Lieu de recherche, vous pouvez choisir de chercher seulement dans les clés de registre, dans les valeurs de registre, dans les données de registre, ou dans n'importe quelle combinaison de ces emplacements.

Dans Types de données, vous pouvez limiter la recherche à un type précis de données; par exemple, seulement dans les valeurs numériques ou seulement en texte.

La portée de la recherche détermine si le balayage doit s'effectuer sur la totalité du Registre ou seulement sur la clé que vous avez actuellement sélectionnée dans la fenêtre principale.

Il y a deux Options diverses: Ignorer la casse ignorera la casse des termes de la recherche (si vous saisissez "Windows", "windows" sera aussi trouvé); la Recherche rapide supprimera toutes les modifications de l'interface utilisateur pendant le balayage pour accélérer ce dernier, et ne devrait être utilisée que si vous ne voulez pas voir s'afficher les résultats de la recherche pendant le balayage.

L'onglet suivant intitulé ... par date ne s'applique qu'aux systèmes d'exploitation Windows NT, 2000 et XP. Si vous utilisez l'un d'entre eux, vous pouvez limiter la recherche par date; par exemple vous pouvez choisir de ne rechercher que des résultats postérieurs à une date précise, ou antérieurs, ou entre deux dates, ou en dehors de deux dates.

Finalement, après avoir appuyé sur le bouton Chercher, les résultats devraient apparaître l'un après l'autre; ils seront affichés dans l'onglet Résultats. Si vous faites un double clic sur un élément, la fenêtre principale affichera cet emplacement. Si vous voulez exporter certains résultats, vous pouvez les sélectionner en cochant/décochant la case située devant chaque élément. Ensuite vous faites un clic droit sur la liste et vous verrez un menu contextuel qui vous permettra d'exporter les résultats sélectionnés dans un fichier reg.

Après la fin de la recherche, un nouvel onglet Remplacer va apparaître. Là, vous pouvez saisir un texte précis à remplacer par un autre, et choisir d'ignorer ou non la casse, et si l'on doit écraser d'autres clés ou valeurs dans le cas où le renommage créerait un conflit de nom. Le bouton Remplacer ne remplacera que les éléments qui ont été cochés dans la liste des Résultats, et seulement pour les noms de clés, les noms de données et les données chaînes (dans toutes les trois variantes). Il est possible que les valeurs numériques suivent ultérieurement.